<%@page import="java.util.List"%>
<%@page import="lt.bit.models.Country"%>
<%@ page language="java" contentType="text/html; charset=utf-8"   pageEncoding="utf-8"%>
<jsp:include page="partials/head.jsp"></jsp:include>

<%
  Country c=(Country) (request.getAttribute("c"));
%>

<div class="container main-content" >
	<div class="row mt-5">
		<div class="col-md-12">
			<div class="card">
				<div class="card-header">Redaguojame šalį</div>
				<div class="card-body">
					<form action="" method="POST">
						<div class="row">
						<div class="col-md-6">
							<div class="mb-3">
								<label class="form-label">Šalies kodas</label>
								<input type="text" name="code" class="form-control" value="<%=c.getCode() %>" readonly="readonly">
							</div>
							<div class="mb-3">
								<label class="form-label">Pavadinimas</label>
								<input type="text" name="name" class="form-control" value="<%=c.getName() %>"  required>
							</div>
							<div class="mb-3">
								<label class="form-label">Kontinentas</label>
								<select name="continent" class="form-control"> 
									<option value="Asia" <%=(c.getContinent().equals("Asia"))?"selected":""%> >Asia</option>
									<option value="Europe" <%=(c.getContinent().equals("Europe"))?"selected":""%> >Europe</option>
									<option value="North America" <%=(c.getContinent().equals("North America"))?"selected":""%>>North America</option>
									<option value="Africa" <%=(c.getContinent().equals("Africa"))?"selected":""%> >Africa</option>
									<option value="Oceania" <%=(c.getContinent().equals("Oceania"))?"selected":""%> >Oceania</option>
									<option value="Antarctica" <%=(c.getContinent().equals("Antarctica"))?"selected":""%> >Antarctica</option>
									<option value="South America" <%=(c.getContinent().equals("South America"))?"selected":""%> >South America</option>
								</select>
							</div>
							<div class="mb-3">
								<label class="form-label">Regionas</label>
								<input type="text" name="region" class="form-control" value="<%=c.getRegion() %>" required>
							</div>
						</div>
						<div class="col-md-6">
							<div class="mb-3">
								<label class="form-label">Šalies plotas</label>
								<input type="number" name="surfaceArea" class="form-control" value="<%=c.getSurfaceArea() %>" required>
							</div>
							<div class="mb-3">
								<label class="form-label">Populiacija</label>
								<input type="number" name="population" class="form-control" value="<%=c.getPopulation() %>" required>
							</div>
							<div class="mb-3">
								<label class="form-label">Gyvenimo trukmė</label>
								<input type="text" name="lifeExpectancy" class="form-control" value="<%=c.getLifeExpectancy() %>" required>
							</div>
						</div>
						<div class="col-md-12">
							<button class="btn btn-success" type="submit">Išsaugoti pakeitimus</button>
						</div>
						
						
						
						</div>
					</form>
				
				</div>
			</div>
		</div>
	
	</div>
</div>

<jsp:include page="partials/foot.jsp"></jsp:include>
